com.sun.jna.platform.win32.COM

## Class COMLateBindingObject

- java.lang.Object
- - com.sun.jna.PointerType
  - - com.sun.jna.platform.win32.COM.COMInvoker
    - - com.sun.jna.platform.win32.COM.COMBindingBaseObject
      - - com.sun.jna.platform.win32.COM.COMLateBindingObject

All Implemented Interfaces:
  NativeMapped

    public class COMLateBindingObject
    extends COMBindingBaseObject

Helper class to provide basic COM support.

Author:
  Tobias Wolf, wolf.tobias@gmx.net

### Field Summary

### Fields inherited from class com.sun.jna.platform.win32.COM.COMBindingBaseObject

`LOCALE_SYSTEM_DEFAULT, LOCALE_USER_DEFAULT`

### Constructor Summary

Constructors
Constructor and Description
`COMLateBindingObject(Guid.CLSID clsid, boolean useActiveInstance)` Instantiates a new cOM object.
`COMLateBindingObject(IDispatch iDispatch)` Instantiates a new cOM object.
`COMLateBindingObject(java.lang.String progId, boolean useActiveInstance)` Instantiates a new cOM object.

### Method Summary

All Methods Instance Methods Concrete Methods
`protected IDispatch` `getAutomationProperty(java.lang.String propertyName)` Gets the automation property.
`protected IDispatch` `getAutomationProperty(java.lang.String propertyName, COMLateBindingObject comObject)` Gets the automation property.
`protected IDispatch` `getAutomationProperty(java.lang.String propertyName, COMLateBindingObject comObject, Variant.VARIANT value)` Gets the automation property.
`protected IDispatch` `getAutomationProperty(java.lang.String propertyName, IDispatch iDispatch)` Gets the automation property.
`protected boolean` `getBooleanProperty(java.lang.String propertyName)` Gets the boolean property.
`protected java.util.Date` `getDateProperty(java.lang.String propertyName)` Gets the date property.
`protected int` `getIntProperty(java.lang.String propertyName)` Gets the int property.
`protected short` `getShortProperty(java.lang.String propertyName)` Gets the short property.
`protected java.lang.String` `getStringProperty(java.lang.String propertyName)` Gets the string property.
`protected Variant.VARIANT` `invoke(java.lang.String methodName)` Invoke.
`protected Variant.VARIANT` `invoke(java.lang.String methodName, Variant.VARIANT arg)` Invoke.
`protected Variant.VARIANT` `invoke(java.lang.String methodName, Variant.VARIANT[] args)` Invoke.
`protected Variant.VARIANT` `invoke(java.lang.String methodName, Variant.VARIANT arg1, Variant.VARIANT arg2)` Invoke.
`protected Variant.VARIANT` `invoke(java.lang.String methodName, Variant.VARIANT arg1, Variant.VARIANT arg2, Variant.VARIANT arg3)` Invoke.
`protected Variant.VARIANT` `invoke(java.lang.String methodName, Variant.VARIANT arg1, Variant.VARIANT arg2, Variant.VARIANT arg3, Variant.VARIANT arg4)` Invoke.
`protected void` `invokeNoReply(java.lang.String methodName)` Invoke no reply.
`protected void` `invokeNoReply(java.lang.String methodName, COMLateBindingObject comObject)` Invoke no reply.
`protected void` `invokeNoReply(java.lang.String methodName, COMLateBindingObject comObject, Variant.VARIANT arg)` Invoke no reply.
`protected void` `invokeNoReply(java.lang.String methodName, COMLateBindingObject comObject, Variant.VARIANT arg1, Variant.VARIANT arg2)`
`protected void` `invokeNoReply(java.lang.String methodName, IDispatch dispatch)` Invoke no reply.
`protected void` `invokeNoReply(java.lang.String methodName, IDispatch dispatch, Variant.VARIANT arg)` Invoke no reply.
`protected void` `invokeNoReply(java.lang.String methodName, IDispatch dispatch, Variant.VARIANT[] args)` Invoke no reply.
`protected void` `invokeNoReply(java.lang.String methodName, IDispatch dispatch, Variant.VARIANT arg1, Variant.VARIANT arg2)` Invoke no reply.
`protected void` `invokeNoReply(java.lang.String methodName, Variant.VARIANT arg)` Invoke no reply.
`protected void` `invokeNoReply(java.lang.String methodName, Variant.VARIANT[] args)` Invoke no reply.
`protected void` `invokeNoReply(java.lang.String methodName, Variant.VARIANT arg1, Variant.VARIANT arg2)` Invoke no reply.
`protected void` `invokeNoReply(java.lang.String methodName, Variant.VARIANT arg1, Variant.VARIANT arg2, Variant.VARIANT arg3)` Invoke no reply.
`protected void` `invokeNoReply(java.lang.String methodName, Variant.VARIANT arg1, Variant.VARIANT arg2, Variant.VARIANT arg3, Variant.VARIANT arg4)` Invoke no reply.
`protected void` `setProperty(java.lang.String propertyName, boolean value)` Sets the property.
`protected void` `setProperty(java.lang.String propertyName, COMLateBindingObject comObject, Variant.VARIANT value)` Sets the property.
`protected void` `setProperty(java.lang.String propertyName, java.util.Date value)` Sets the property.
`protected void` `setProperty(java.lang.String propertyName, IDispatch value)` Sets the property.
`protected void` `setProperty(java.lang.String propertyName, IDispatch iDispatch, Variant.VARIANT value)` Sets the property.
`protected void` `setProperty(java.lang.String propertyName, int value)` Sets the property.
`protected void` `setProperty(java.lang.String propertyName, short value)` Sets the property.
`protected void` `setProperty(java.lang.String propertyName, java.lang.String value)` Sets the property.
`Variant.VARIANT` `toVariant()` To variant.

### Methods inherited from class com.sun.jna.platform.win32.COM.COMBindingBaseObject

`checkFailed, getIDispatch, getIDispatchPointer, getIUnknown, getIUnknownPointer, oleMethod, oleMethod, oleMethod, oleMethod, oleMethod, oleMethod, release`

### Methods inherited from class com.sun.jna.platform.win32.COM.COMInvoker

`_invokeNativeInt, _invokeNativeObject, _invokeNativeVoid`

### Methods inherited from class com.sun.jna.PointerType

`equals, fromNative, getPointer, hashCode, nativeType, setPointer, toNative, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### COMLateBindingObject

    public COMLateBindingObject(IDispatch iDispatch)

Instantiates a new cOM object.

Parameters:
  `iDispatch` - the i dispatch

#### COMLateBindingObject

    public COMLateBindingObject(Guid.CLSID clsid,
                                boolean useActiveInstance)

Instantiates a new cOM object.

Parameters:
  `clsid` - the clsid
  `useActiveInstance` - the use active instance

#### COMLateBindingObject

    public COMLateBindingObject(java.lang.String progId,
                                boolean useActiveInstance)
                         throws COMException

Instantiates a new cOM object.

Parameters:
  `progId` - the prog id
  `useActiveInstance` - the use active instance
Throws:
  `COMException` - the automation exception

### Method Detail

#### getAutomationProperty

    protected IDispatch getAutomationProperty(java.lang.String propertyName)

Gets the automation property.

Parameters:
  `propertyName` - the property name
Returns:
  the automation property

#### getAutomationProperty

    protected IDispatch getAutomationProperty(java.lang.String propertyName,
                                              COMLateBindingObject comObject)

Gets the automation property.

Parameters:
  `propertyName` - the property name
  `comObject` - the com object
Returns:
  the automation property

#### getAutomationProperty

    protected IDispatch getAutomationProperty(java.lang.String propertyName,
                                              COMLateBindingObject comObject,
                                              Variant.VARIANT value)

Gets the automation property.

Parameters:
  `propertyName` - the property name
  `comObject` - the com object
  `value` - the value
Returns:
  the automation property

#### getAutomationProperty

    protected IDispatch getAutomationProperty(java.lang.String propertyName,
                                              IDispatch iDispatch)

Gets the automation property.

Parameters:
  `propertyName` - the property name
  `iDispatch` - the i dispatch
Returns:
  the automation property

#### getBooleanProperty

    protected boolean getBooleanProperty(java.lang.String propertyName)

Gets the boolean property.

Parameters:
  `propertyName` - the property name
Returns:
  the boolean property

#### getDateProperty

    protected java.util.Date getDateProperty(java.lang.String propertyName)

Gets the date property.

Parameters:
  `propertyName` - the property name
Returns:
  the date property

#### getIntProperty

    protected int getIntProperty(java.lang.String propertyName)

Gets the int property.

Parameters:
  `propertyName` - the property name
Returns:
  the int property

#### getShortProperty

    protected short getShortProperty(java.lang.String propertyName)

Gets the short property.

Parameters:
  `propertyName` - the property name
Returns:
  the short property

#### getStringProperty

    protected java.lang.String getStringProperty(java.lang.String propertyName)

Gets the string property.

Parameters:
  `propertyName` - the property name
Returns:
  the string property

#### invoke

    protected Variant.VARIANT invoke(java.lang.String methodName)

Invoke.

Parameters:
  `methodName` - the method name
Returns:
  the variant

#### invoke

    protected Variant.VARIANT invoke(java.lang.String methodName,
                                     Variant.VARIANT arg)

Invoke.

Parameters:
  `methodName` - the method name
  `arg` - the arg
Returns:
  the variant

#### invoke

    protected Variant.VARIANT invoke(java.lang.String methodName,
                                     Variant.VARIANT[] args)

Invoke.

Parameters:
  `methodName` - the method name
  `args` - the args
Returns:
  the variant

#### invoke

    protected Variant.VARIANT invoke(java.lang.String methodName,
                                     Variant.VARIANT arg1,
                                     Variant.VARIANT arg2)

Invoke.

Parameters:
  `methodName` - the method name
  `arg1` - the arg1
  `arg2` - the arg2
Returns:
  the variant

#### invoke

    protected Variant.VARIANT invoke(java.lang.String methodName,
                                     Variant.VARIANT arg1,
                                     Variant.VARIANT arg2,
                                     Variant.VARIANT arg3)

Invoke.

Parameters:
  `methodName` - the method name
  `arg1` - the arg1
  `arg2` - the arg2
  `arg3` - the arg3
Returns:
  the variant

#### invoke

    protected Variant.VARIANT invoke(java.lang.String methodName,
                                     Variant.VARIANT arg1,
                                     Variant.VARIANT arg2,
                                     Variant.VARIANT arg3,
                                     Variant.VARIANT arg4)

Invoke.

Parameters:
  `methodName` - the method name
  `arg1` - the arg1
  `arg2` - the arg2
  `arg3` - the arg3
  `arg4` - the arg4
Returns:
  the variant

#### invokeNoReply

    protected void invokeNoReply(java.lang.String methodName,
                                 IDispatch dispatch)

Invoke no reply.

Parameters:
  `methodName` - the method name
  `dispatch` - the dispatch

#### invokeNoReply

    protected void invokeNoReply(java.lang.String methodName,
                                 COMLateBindingObject comObject)

Invoke no reply.

Parameters:
  `methodName` - the method name
  `comObject` - the com object

#### invokeNoReply

    protected void invokeNoReply(java.lang.String methodName,
                                 IDispatch dispatch,
                                 Variant.VARIANT arg)

Invoke no reply.

Parameters:
  `methodName` - the method name
  `dispatch` - the dispatch
  `arg` - the arg

#### invokeNoReply

    protected void invokeNoReply(java.lang.String methodName,
                                 IDispatch dispatch,
                                 Variant.VARIANT arg1,
                                 Variant.VARIANT arg2)

Invoke no reply.

Parameters:
  `methodName` - the method name
  `dispatch` - the dispatch
  `arg1` - the arg1
  `arg2` - the arg2

#### invokeNoReply

    protected void invokeNoReply(java.lang.String methodName,
                                 COMLateBindingObject comObject,
                                 Variant.VARIANT arg1,
                                 Variant.VARIANT arg2)

#### invokeNoReply

    protected void invokeNoReply(java.lang.String methodName,
                                 COMLateBindingObject comObject,
                                 Variant.VARIANT arg)

Invoke no reply.

Parameters:
  `methodName` - the method name
  `comObject` - the com object
  `arg` - the arg

#### invokeNoReply

    protected void invokeNoReply(java.lang.String methodName,
                                 IDispatch dispatch,
                                 Variant.VARIANT[] args)

Invoke no reply.

Parameters:
  `methodName` - the method name
  `dispatch` - the dispatch
  `args` - the args

#### invokeNoReply

    protected void invokeNoReply(java.lang.String methodName)

Invoke no reply.

Parameters:
  `methodName` - the method name

#### invokeNoReply

    protected void invokeNoReply(java.lang.String methodName,
                                 Variant.VARIANT arg)

Invoke no reply.

Parameters:
  `methodName` - the method name
  `arg` - the arg

#### invokeNoReply

    protected void invokeNoReply(java.lang.String methodName,
                                 Variant.VARIANT[] args)

Invoke no reply.

Parameters:
  `methodName` - the method name
  `args` - the args

#### invokeNoReply

    protected void invokeNoReply(java.lang.String methodName,
                                 Variant.VARIANT arg1,
                                 Variant.VARIANT arg2)

Invoke no reply.

Parameters:
  `methodName` - the method name
  `arg1` - the arg1
  `arg2` - the arg2

#### invokeNoReply

    protected void invokeNoReply(java.lang.String methodName,
                                 Variant.VARIANT arg1,
                                 Variant.VARIANT arg2,
                                 Variant.VARIANT arg3)

Invoke no reply.

Parameters:
  `methodName` - the method name
  `arg1` - the arg1
  `arg2` - the arg2
  `arg3` - the arg3

#### invokeNoReply

    protected void invokeNoReply(java.lang.String methodName,
                                 Variant.VARIANT arg1,
                                 Variant.VARIANT arg2,
                                 Variant.VARIANT arg3,
                                 Variant.VARIANT arg4)

Invoke no reply.

Parameters:
  `methodName` - the method name
  `arg1` - the arg1
  `arg2` - the arg2
  `arg3` - the arg3
  `arg4` - the arg4

#### setProperty

    protected void setProperty(java.lang.String propertyName,
                               boolean value)

Sets the property.

Parameters:
  `propertyName` - the property name
  `value` - the value

#### setProperty

    protected void setProperty(java.lang.String propertyName,
                               java.util.Date value)

Sets the property.

Parameters:
  `propertyName` - the property name
  `value` - the value

#### setProperty

    protected void setProperty(java.lang.String propertyName,
                               IDispatch value)

Sets the property.

Parameters:
  `propertyName` - the property name
  `value` - the value

#### setProperty

    protected void setProperty(java.lang.String propertyName,
                               int value)

Sets the property.

Parameters:
  `propertyName` - the property name
  `value` - the value

#### setProperty

    protected void setProperty(java.lang.String propertyName,
                               short value)

Sets the property.

Parameters:
  `propertyName` - the property name
  `value` - the value

#### setProperty

    protected void setProperty(java.lang.String propertyName,
                               java.lang.String value)

Sets the property.

Parameters:
  `propertyName` - the property name
  `value` - the value

#### setProperty

    protected void setProperty(java.lang.String propertyName,
                               IDispatch iDispatch,
                               Variant.VARIANT value)

Sets the property.

Parameters:
  `propertyName` - the property name
  `iDispatch` - the i dispatch
  `value` - the value

#### setProperty

    protected void setProperty(java.lang.String propertyName,
                               COMLateBindingObject comObject,
                               Variant.VARIANT value)

Sets the property.

Parameters:
  `propertyName` - the property name
  `comObject` - the com object
  `value` - the value

#### toVariant

    public Variant.VARIANT toVariant()

To variant.

Returns:
  the variant

Copyright © 2007-2016 Timothy Wall. All Rights Reserved.